Contents

# Sin Function

Returns the sine of an angle. The angle is specified in radians. The result lies between -1 and 1.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Numeric expression that defines the angle in radians that you want to calculate the sine for.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Nederīgs procedūras izsaukums

### Example:

    ' In this example, the following entry is possible for a right-angled triangle:
    ' The side opposite the angle and the angle (in degrees) to calculate the length of the hypotenuse:
    Sub ExampleSine
    ' Pi = 3.1415926 is a predefined variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Enter the length of the opposite side: ","Opposite Side")
        dAlpha = InputBox("Enter the angle Alpha (in degrees): ","Alpha")
        Print "The length of the hypotenuse is"; (d1 / sin (dAlpha * Pi / 180))
    End Sub

Saistītie temati

Atn Function

Cos Function

Tan Function